%define upstream_name Validate
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.8.5
Release:     	%mkrel 1
Summary:    	Validation class
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Validate-%{version}.tgz
URL: 		http://pear.php.net/package/Validate
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
Package to validate various datas. It includes :
    - numbers (min/max, decimal or not)
    - email (syntax, domain check, rfc822)
    - string (predifined type alpha upper and/or lowercase, numeric,...)
    - date (min, max, rfc822 compliant)
    - uri (RFC2396)
    - possibility valid multiple data with a single method call
(::multiple)

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Validate.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Validate.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Validate
fi

%files
%defattr(-,root,root)
%doc docs/Validate/*
%{peardir}/*
%{xmldir}/Validate.xml


%changelog

* Fri Jan 13 2012 spuhler <spuhler> 0.8.5-1.mga2
+ Revision: 195531
- upgrade to 0.8.5
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 0.8.4-1.mga1
+ Revision: 28044
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Validate

